Unify and manage your data

Recleanse Entities

This operation recleanses an existing entity.

Request:

GET /{tenantId}/entities/recleanse?entityId={entityId}
Table 1. Header Parameter
NameRequiredDetails
AuthorizationyesBearer <access_token>
Table 2. Query Parameters
NameRequiredDetails
entityIDYesThe ID of the entity to recleanse.
returnUserDataNoIf false, Reltio Cloud doesn't return user data provided to cleanse, only cleansed values.
optionsNoThis is comma-separated list of different options, which affect on entity's JSON content in a response.

Available options:

sendHidden - the entity's JSON will contain hidden attributes if this option is enabled. The default is false.

Response:

JSON Array containing an object representing the cleansed object, or in case of fuzzy cleansing variants of cleansed entity based on multiple cleansed results. Fuzzy cleansing, when cleansing provides multiple results for one input, can occur for example when user didn't specify the exact location, but provided address that corresponds to some amount of different places.

Example:

Request:

GET {TenantURL}/entities/recleanse?type=default

Headers: Authorization: Bearer {your-access-token}
[
    {
        "type": "configuration/entityTypes/Location",
        "attributes": {
            "AddressPaste": [
                {
                    "type": "configuration/entityTypes/Location/attributes/AddressPaste",
                    "value": "Plateau du Kirchberg B.P. 1601 L-2929 Luxembourg"
                }
            ]
        }
    },
    {
        "type": "configuration/entityTypes/Location",
        "attributes": {
            "AddressPaste": [
                {
                    "type": "configuration/entityTypes/Location/attributes/AddressPaste",
                    "value": "357 King St, Newtown NSW 2042, Australia"
                }
            ]
        }
    }
]

Response:

[
    {
        "index": 0,
        "object": {
            "uri": "entities/00dMPr7",
            "type": "configuration/entityTypes/Location",
            "createdTime": 1361296220548,
            "updatedTime": 1361296220548,
            "attributes": {
                "AddressPaste": [
                    {
                        "type": "configuration/entityTypes/Location/attributes/AddressPaste",
                        "value": "Plateau du Kirchberg B.P. 1601 L-2929 Luxembourg",
                        "uri": "entities/00dMPr7/attributes/AddressPaste/vp"
                    }
                ],
                "Street": [
                    {
                        "type": "configuration/entityTypes/Location/attributes/Street",
                        "value": "Plateau Du Kirchberg",
                        "uri": "entities/00dMPr7/attributes/Street/18D"
                    }
                ],
                "ZipPostalCode": [
                    {
                        "type": "configuration/entityTypes/Location/attributes/ZipPostalCode",
                        "value": "2929",
                        "uri": "entities/00dMPr7/attributes/ZipPostalCode/1Oj"
                    }
                ],
                "Country": [
                    {
                        "type": "configuration/entityTypes/Location/attributes/Country",
                        "value": "Luxembourg",
                        "uri": "entities/00dMPr7/attributes/Country/1GT"
                    }
                ]
            },
            "label": "Plateau Du Kirchberg "
        },
        "successful": true
    },
    {
        "index": 1,
        "object": {
            "uri": "entities/00dMU7N",
            "type": "configuration/entityTypes/Location",
            "createdTime": 1361296220548,
            "updatedTime": 1361296220548,
            "attributes": {
                "AddressPaste": [
                    {
                        "type": "configuration/entityTypes/Location/attributes/AddressPaste",
                        "value": "357 King St, Newtown NSW 2042, Australia",
                        "uri": "entities/00dMU7N/attributes/AddressPaste/zx"
                    }
                ],
                "Street": [
                    {
                        "type": "configuration/entityTypes/Location/attributes/Street",
                        "value": "King St",
                        "uri": "entities/00dMU7N/attributes/Street/1nV"
                    }
                ],
                "City": [
                    {
                        "type": "configuration/entityTypes/Location/attributes/City",
                        "value": "Newtown",
                        "uri": "entities/00dMU7N/attributes/City/1fF"
                    }
                ],
                "StateProvince": [
                    {
                        "type": "configuration/entityTypes/Location/attributes/StateProvince",
                        "value": "NSW",
                        "uri": "entities/00dMU7N/attributes/StateProvince/1Wz"
                    }
                ],
                "ZipPostalCode": [
                    {
                        "type": "configuration/entityTypes/Location/attributes/ZipPostalCode",
                        "value": "2042",
                        "uri": "entities/00dMU7N/attributes/ZipPostalCode/241"
                    }
                ],
                "Country": [
                    {
                        "type": "configuration/entityTypes/Location/attributes/Country",
                        "value": "Australia",
                        "uri": "entities/00dMU7N/attributes/Country/1vl"
                    }
                ]
            },
            "label": "King St Newtown "
        },
        "successful": true
    }
]